System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.TemplateControl System.Web.UI.IAttributeAccessor System.Web.UI.IUserControlDesignerAccessor System.ComponentModel.Designer("Microsoft.VisualStudio.Web.WebForms.WebFormDesigner, Microsoft.VisualStudio.Web, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.ComponentModel.Design.IRootDesigner)) System.Web.UI.ParseChildren(true) System.ComponentModel.Designer("System.Web.UI.Design.UserControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.ComponentModel.Design.IDesigner)) System.ComponentModel.ToolboxItem(false) System.ComponentModel.DesignerCategory("ASPXCodeBehind") System.ComponentModel.DefaultEvent("Load") System.Web.UI.ControlBuilder(typeof(System.Web.UI.UserControlControlBuilder))

The class is associated with files that have .ascx extensions. These files are compiled at run time as objects and cached in server memory.

You can nest user controls by declaring one .ascx file in another including the latter in a Web Forms page.

User controls are contained in ASP.NET Web Forms pages, and offer Web developers an easy way to capture commonly used Web UI. They are instantiated and cached in ways similar to objects. Unlike pages, however, user controls cannot be called independently. They can only be called from the page or other user control that contains them.

Derive from this class if you want to create a user control using the code-behind technique. This is recommended if you are developing Web Forms pages using this technique.

For information about creating user controls declaratively, see Web Forms User Controls.

Represents an .ascx file, also known as a user control, requested from a server that hosts an ASP.NET Web application. The file must be called from a Web Forms page or a parser error will occur.

- Constructor

  You do not typically create an instance of the class. To create your own user control, inherit from the class.

  To create a new user control on an ASP.NET page programmatically, use the method.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpApplicationState a To be added

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Web.UI.AttributeCollection To be added: an object of type 'AttributeCollection' To be added

  Gets a collection of all attribute name and value pairs declared in the user control tag within the .aspx file.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Web.Caching.Cache a

  The allows you to store data for later retrieval, and is shared across the application. The data that you store is independent of the current page or user session. Access data through this property to boost page or application performance if creating the data is slow. For more information about using the Cache, see Caching Application Data.

  Gets the object that is associated with the application that contains the user control.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Web.UI.ControlCachePolicy To be added.

  The property defines the cache parameters for the instance of the class. The property is read-only; however, you can set the properties of the object that it returns.

  The property cannot be set declaratively. It must be set programmatically.

  Gets a reference to a collection of caching parameters for this user control.

- Method
  System.Void To be added

  Performs any initialization steps on the user control that are required by RAD designers.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void `` To be added

  Initializes the object that has been created declaratively. Since there are some differences between pages and user controls, this method makes sure that the user control is initialized properly.

  The object that contains the user control. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the user control is being loaded in response to a client postback, or if it is being loaded and accessed for the first time.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void ``

  This method is used primarily by the .NET Framework infrastructure and is not intended to be used directly from your code. However, control developers can override this method to specify how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  You can load a view-state value into a field so that you do not have to retrieve it from the property later. You can also insert the value into the property just before calling , which is an effective way to make a field persist across round trips to the server.

  Restores the view-state information from a previous user control request that was saved by the method.

  An that represents the user control state to be restored. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  While similar to the method, this method maps the path from the .ascx file's location, not the .aspx file's location. You can use this method to obtain a path to a directory of images or other resources associated with your object.

  Assigns a virtual file path, either absolute or relative, to a physical file path.

  The physical path to the file.

  The virtual file path to map. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  When notified by this method, the must perform any initialization steps that are required to create and set up an instance. This method confirms site information associated with the instance and ensures that the class is initialized correctly as a object.

  In this stage of the user control's lifecycle, the control's view state has yet to be populated. Additionally, you cannot access other server controls when this method is called, regardless of whether it is a child or parent to this control. Other server controls are not certain to be created and ready for access.

  Raises the event.

  An object that contains the event data. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpRequest a To be added

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Web.HttpResponse a To be added

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Object

  In general, you do not need to call this method. However, if you store custom information in view state, you can override this method to do so.

  Saves any user control view-state changes that have occurred since the last page postback.

  Returns the user control's current view state. If there is no view state associated with the control, it returns null.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpServerUtility a

  The object is compatible with ASP pages.

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Web.SessionState.HttpSessionState a To be added

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  1.0.5000.0
  2.0.0.0
  System.String ``

  Use the method to get the value of control attributes that are not exposed as properties on the control.

  Returns the value of the specified user control attribute.

  The value of the specified user control attribute.

  The name of the attribute to get the value of.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  Use the method to set the value of control attributes that are not exposed as properties on the control.

  Sets the value of the specified user control attribute.

  The name of the attribute to set. The value of the attribute to set.
- Method
  2.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the text that appears between the opening and closing tags of a user control.

- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the full tag name of the user control.

- Property
  System.Web.TraceContext a

  Tracing tracks and presents the execution details about a Web request. For trace data to be visible in a rendered page, you must enable tracing for that page.

  By default, page tracing is disabled. To enable tracing for a page, use the @ Page directive as follows: <%@ Page trace="true" %>

  Gets the object for the current Web request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)